From 8052e56dcd776409254fd525d15a63525dab4434 Mon Sep 17 00:00:00 2001
From: Ben Finney <ben@benfinney.id.au>
Date: Sun, 25 Oct 2015 15:10:43 +1100
Subject: [PATCH 2/2] Remove filesystem entries allowing for different types.

---
 dhpython/fs.py | 10 +++++-----
 1 file changed, 5 insertions(+), 5 deletions(-)

diff --git a/dhpython/fs.py b/dhpython/fs.py
index 05b8e8b..1d73d23 100644
--- a/dhpython/fs.py
+++ b/dhpython/fs.py
@@ -64,7 +64,7 @@ def fix_locations(package, interpreter, versions, options):
                     if exists(parent_dir):
                         if os.listdir(parent_dir):
                             break
-                        os.rmdir(parent_dir)
+                        remove_entry(parent_dir)
                     parent_dir = dirname(parent_dir)
 
         # do the same with debug locations
@@ -78,7 +78,7 @@ def fix_locations(package, interpreter, versions, options):
                     if exists(parent_dir):
                         if os.listdir(parent_dir):
                             break
-                        os.rmdir(parent_dir)
+                        remove_entry(parent_dir)
                     parent_dir = dirname(parent_dir)
 
 
@@ -115,7 +115,7 @@ def share_files(srcdir, dstdir, interpreter, options):
         # XXX: check symlinks
 
     if exists(srcdir) and not os.listdir(srcdir):
-        os.rmdir(srcdir)
+        remove_entry(srcdir)
 
 
 class Scan:
@@ -239,7 +239,7 @@ class Scan:
                 # try to remove directory if it's empty (and its parent if it's empty afterwards)
                 while root:
                     try:
-                        os.rmdir(root)
+                        remove_entry(root)
                         log.debug('removing empty directory: %s', root)
                     except Exception:
                         break
@@ -414,6 +414,6 @@ class Scan:
             for root, dirs, file_names in os.walk(proot, topdown=False):
                 if '-packages/' in root and not file_names:
                     try:
-                        os.rmdir(root)
+                        remove_entry(root)
                     except Exception:
                         pass
-- 
2.6.1

